ion-tabs {
  --min-bottom-space: 0.3rem;

  // additionalBottomPadding = minBottomSpace - safeAreaBottom (but never below 0)
  --additional-bottom-padding: calc(
    max(
      var(--min-bottom-space) - var(
          --safe-area-inset-bottom,
          env(safe-area-inset-bottom)
        ),
      0px
    )
  );
}

.tab-bar-container {
  padding-bottom: calc(
    var(--safe-area-inset-bottom, env(safe-area-inset-bottom)) +
      var(--additional-bottom-padding)
  );
  height: calc(
    178px + var(--safe-area-inset-bottom, env(safe-area-inset-bottom)) +
      var(--additional-bottom-padding)
  );
  position: fixed;
  inset: 0;
  top: unset;
  pointer-events: none;
  display: flex;
  flex-direction: row;
}

.keyboard-open {
  display: none !important;
}

.safe-area-background {
  pointer-events: none;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: calc(
    var(--safe-area-inset-bottom, env(safe-area-inset-bottom)) +
      var(--additional-bottom-padding)
  );
  background: url('/assets/tabbar/tabbar-light-theme-extension-color_sand.svg')
    no-repeat center / cover;
  z-index: 9999;
}

.left-tab-bar,
.center-tab-bar,
.right-tab-bar {
  background-repeat: no-repeat;
  height: 100%;
}

.left-tab-bar,
.right-tab-bar {
  width: 50px;
}

.left-tab-bar {
  background-image: url('/assets/tabbar/tabbar-sliced_left-align_sand.svg');
}

.right-tab-bar {
  background-image: url('/assets/tabbar/tabbar-sliced_right-align_sand.svg');
}

.center-tab-bar {
  background-image: url('/assets/tabbar/tabbar-sliced_center-stretch_sand.svg');
  flex-grow: 1;
  background-size: 100% 100%;
}

ion-tab-bar {
  --background: transparent;
  --color-selected: unset;
  border-top-right-radius: 2.5rem;
  pointer-events: none;
  border-color: transparent;
  margin-bottom: var(--additional-bottom-padding);
}

ion-tab-button.tab-selected lib-general-icon {
  background-color: var(--Taskbar-Highlight-Fill);
  color: #f6f6f5;
}

ion-tab-button.tab-selected p {
  font-weight: 700;
}

p {
  padding-top: 0.15rem;
  padding-bottom: 2px;
  text-align: center;
  font-size: 0.6875rem;
  overflow: visible;
  width: 5.4375rem;
  font-weight: 600;
  color: var(--Main-Foreground);
}

ion-tab-button {
  flex: 0 1 auto;
  width: 4.7rem;
  pointer-events: auto;
  --ripple-color: transparent;
}

lib-general-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  color: rgba(0, 0, 0, 0.85);
  background-color: unset;
  width: 3.3rem;
  height: 1.875rem;
  border-radius: 1.6875rem;
}

@media (prefers-color-scheme: dark) {
  .safe-area-background {
    background: url('/assets/tabbar/tabbar-dark-theme-extension-color_green.svg')
      no-repeat center / cover;
  }

  .left-tab-bar {
    background-image: url('/assets/tabbar/tabbar-sliced_left-align_green.svg');
  }

  .center-tab-bar {
    background-image: url('/assets/tabbar/tabbar-sliced_center-stretch_green.svg');
  }

  .right-tab-bar {
    background-image: url('/assets/tabbar/tabbar-sliced_right-align_green.svg');
  }

  ion-tab-button.tab-selected lib-general-icon {
    background-color: var(--Taskbar-Highlight-Fill);
    color: #252c2a;
  }

  ion-tab-button:active lib-general-icon {
    background-color: var(--Hint-Foreground);
  }

  lib-general-icon {
    color: rgba(255, 255, 255, 0.95);
  }

  p {
    color: rgba(255, 255, 255, 0.95);
  }
}
